Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deft.extension.decoration.style
Class StyleInformation

    java.lang.Object
      org.deft.repository.ast.decoration.NodeInformation
          org.deft.extension.decoration.style.StyleInformation

    public class StyleInformation

extends org.deft.repository.ast.decoration.NodeInformation

StyleInformation store multiple StyleContainer, which provide different formating information for the sourcecode in xml.

Author:
  Martin Heinzerling

Field Summary
`static org.deft.repository.ast.decoration.Ident` | `IDENT`

Constructor Summary
`StyleInformation()`

Method Summary
`void` | `addAllStyleContainer(java.util.List<StyleContainer> scs)`
`void` | `addContentFromOtherNodeInformation(org.deft.repository.ast.decoration.NodeInformation newInformation)`
`void` | `addStyleContainer(StyleContainer sc)`
`boolean` | `containerExists(StyleContainer container)`
`org.deft.repository.ast.decoration.NodeInformation` | `copy()`
`java.util.List<StyleContainer>` | `getAllStyleContainer()`
`org.deft.repository.ast.decoration.Ident` | `getIdent()`
`StyleContainer` | `getStyleContainer(int index)`
`int` | `getStyleContainerCount()`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### IDENT

    public static final org.deft.repository.ast.decoration.Ident IDENT

Constructor Detail

### StyleInformation

    public StyleInformation()

Method Detail

### getIdent

    public org.deft.repository.ast.decoration.Ident getIdent()

  Specified by:
    `getIdent` in class `org.deft.repository.ast.decoration.NodeInformation`

### getStyleContainer

    public StyleContainer getStyleContainer(int index)

  Parameters:
    `index` - of StyleContainer
  Returns:
    StyleContainer

### getAllStyleContainer

    public java.util.List<StyleContainer> getAllStyleContainer()

### getStyleContainerCount

    public int getStyleContainerCount()

### addStyleContainer

    public void addStyleContainer(StyleContainer sc)

  Parameters:
    `sc` - StyleContainer

### addAllStyleContainer

    public void addAllStyleContainer(java.util.List<StyleContainer> scs)

  Parameters:
    `scs` - StyleContainer

### containerExists

    public boolean containerExists(StyleContainer container)

  Parameters:
    `container` - StyleContainer
  Returns:
    true if given container exist in container list of the StyleInformation

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### addContentFromOtherNodeInformation

    public void addContentFromOtherNodeInformation(org.deft.repository.ast.decoration.NodeInformation newInformation)

  Specified by:
    `addContentFromOtherNodeInformation` in class `org.deft.repository.ast.decoration.NodeInformation`

### copy

    public org.deft.repository.ast.decoration.NodeInformation copy()

  Specified by:
    `copy` in class `org.deft.repository.ast.decoration.NodeInformation`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD